Bug 461356 - mod_wsgi RPM has unneeded -devel dependecies
mod_wsgi RPM has unneeded -devel dependecies
Product: Fedora EPEL
Classification: Fedora
Component: mod_wsgi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-06 08:51 EDT by Victoriano Giralt
Modified: 2013-01-10 04:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-14 08:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Victoriano Giralt 2008-09-06 08:51:56 EDT
Description of problem:
Installing mod_wsgi brings in a lot of development dependencies that are not needed, might even be undesirable, for a production environment:

 mod_wsgi                i386       2.1-1.el5        epel               60 k
Installing for dependencies:
 apr-devel               i386       1.2.7-11         base              237 k
 apr-util-devel          i386       1.2.7-7.el5      base               54 k
 cyrus-sasl-devel        i386       2.1.22-4         base              1.4 M
 db4-devel               i386       4.3.29-9.fc6     base              2.0 M
 expat-devel             i386       1.95.8-8.2.1     base              130 k
 gcc                     i386       4.1.2-42.el5     base              5.2 M
 httpd-devel             i386       2.2.3-11.el5_1.centos.3  base              146 k
 libgomp                 i386       4.1.2-42.el5     base               82 k
 openldap-devel          i386       2.3.27-8.el5_2.4  updates           1.6 M

Version-Release number of selected component (if applicable):

How reproducible:
Always, both in i386 and x86_64 with epel repository for RHEL5

Steps to Reproduce:
1. yum install mod_wsgi
Actual results:
Shown list.

Expected results:
Installation without bringing in *-devel packages into a production server, plus gcc.
Comment 1 Victoriano Giralt 2008-09-06 08:55:17 EDT
The package can be installed with rpm -ivh --nodeps and works as expected, which confirms that the *-devel dependencies are not necessary.

Upstream package for Fedora 9 also has the dependencies.

Note You need to log in before you can comment on or make changes to this bug.